from metadata.sdk import configurefrom metadata.sdk.entities import Tagsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDtag = Tags.retrieve("68ec158c-5f5e-4277-8a19-5e9e0cd5294f")print(f"{tag.fullyQualifiedName.root}: {getattr(tag.description, 'root', tag.description)}")# Get by ID with fieldstag = Tags.retrieve( "68ec158c-5f5e-4277-8a19-5e9e0cd5294f", fields=["owners", "children"])# Get by fully qualified nametag = Tags.retrieve_by_name("Certification.Bronze")# Get by name with fieldstag = Tags.retrieve_by_name( "Certification.Bronze", fields=["owners", "children"])
// client is an initialized OpenMetadataClient.var tag = client.tags().get("68ec158c-5f5e-4277-8a19-5e9e0cd5294f");// Get by ID with fieldsvar tagWithFields = client.tags().get( "68ec158c-5f5e-4277-8a19-5e9e0cd5294f", "owners,children");// Get by fully qualified namevar tagByName = client.tags().getByName("Certification.Bronze");// Get by name with fieldsvar tagByNameWithFields = client.tags().getByName( "Certification.Bronze", "owners,children");
# Get by IDcurl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f?fields=owners,children" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/tags/name/Certification.Bronze" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/tags/name/Certification.Bronze?fields=owners,children" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configurefrom metadata.sdk.entities import Tagsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDtag = Tags.retrieve("68ec158c-5f5e-4277-8a19-5e9e0cd5294f")print(f"{tag.fullyQualifiedName.root}: {getattr(tag.description, 'root', tag.description)}")# Get by ID with fieldstag = Tags.retrieve( "68ec158c-5f5e-4277-8a19-5e9e0cd5294f", fields=["owners", "children"])# Get by fully qualified nametag = Tags.retrieve_by_name("Certification.Bronze")# Get by name with fieldstag = Tags.retrieve_by_name( "Certification.Bronze", fields=["owners", "children"])
// client is an initialized OpenMetadataClient.var tag = client.tags().get("68ec158c-5f5e-4277-8a19-5e9e0cd5294f");// Get by ID with fieldsvar tagWithFields = client.tags().get( "68ec158c-5f5e-4277-8a19-5e9e0cd5294f", "owners,children");// Get by fully qualified namevar tagByName = client.tags().getByName("Certification.Bronze");// Get by name with fieldsvar tagByNameWithFields = client.tags().getByName( "Certification.Bronze", "owners,children");
# Get by IDcurl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f?fields=owners,children" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/tags/name/Certification.Bronze" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/tags/name/Certification.Bronze?fields=owners,children" \ -H "Authorization: Bearer {access_token}"
Get a single tag by its unique ID or fully qualified name.
Get by ID
string
required
UUID of the tag to retrieve.
string
Comma-separated list of fields to include, for example owners,children.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
Get by Fully Qualified Name
Use GET /v1/tags/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the tag, for example Certification.Bronze.
string
Comma-separated list of fields to include: owners, children.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/tags/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import Tagsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDtag = Tags.retrieve("68ec158c-5f5e-4277-8a19-5e9e0cd5294f")print(f"{tag.fullyQualifiedName.root}: {getattr(tag.description, 'root', tag.description)}")# Get by ID with fieldstag = Tags.retrieve( "68ec158c-5f5e-4277-8a19-5e9e0cd5294f", fields=["owners", "children"])# Get by fully qualified nametag = Tags.retrieve_by_name("Certification.Bronze")# Get by name with fieldstag = Tags.retrieve_by_name( "Certification.Bronze", fields=["owners", "children"])
// client is an initialized OpenMetadataClient.var tag = client.tags().get("68ec158c-5f5e-4277-8a19-5e9e0cd5294f");// Get by ID with fieldsvar tagWithFields = client.tags().get( "68ec158c-5f5e-4277-8a19-5e9e0cd5294f", "owners,children");// Get by fully qualified namevar tagByName = client.tags().getByName("Certification.Bronze");// Get by name with fieldsvar tagByNameWithFields = client.tags().getByName( "Certification.Bronze", "owners,children");
# Get by IDcurl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f?fields=owners,children" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/tags/name/Certification.Bronze" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/tags/name/Certification.Bronze?fields=owners,children" \ -H "Authorization: Bearer {access_token}"